public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/wstool/
Date: Sat, 29 Jan 2022 06:30:38 +0000 (UTC)	[thread overview]
Message-ID: <1643437828.29671e13c2b2a8c498e8062da02383f69e2ffe78.arthurzam@gentoo> (raw)

commit:     29671e13c2b2a8c498e8062da02383f69e2ffe78
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 29 06:24:11 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 29 06:30:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29671e13

dev-util/wstool: enable py3.9, py3.10, cleanup

Closes: https://bugs.gentoo.org/832247
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-util/wstool/wstool-0.1.18.ebuild | 43 ++++++++++++++----------------------
 dev-util/wstool/wstool-9999.ebuild   | 43 ++++++++++++++----------------------
 2 files changed, 34 insertions(+), 52 deletions(-)

diff --git a/dev-util/wstool/wstool-0.1.18.ebuild b/dev-util/wstool/wstool-0.1.18.ebuild
index 48cc34f6d138..643dad95a575 100644
--- a/dev-util/wstool/wstool-0.1.18.ebuild
+++ b/dev-util/wstool/wstool-0.1.18.ebuild
@@ -1,21 +1,18 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python{3_7,3_8} )
 
-SCM=""
-if [ "${PV#9999}" != "${PV}" ] ; then
-	SCM="git-r3"
-	EGIT_REPO_URI="https://github.com/vcstools/wstool"
-fi
-
-inherit ${SCM} distutils-r1
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_IN_SOURCE_BUILD="yes"
+inherit distutils-r1
 
 DESCRIPTION="Commands to manage several local SCM repositories for ROS"
 HOMEPAGE="https://wiki.ros.org/wstool"
-if [ "${PV#9999}" != "${PV}" ] ; then
-	SRC_URI=""
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/vcstools/wstool"
 else
 	SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
 		https://github.com/vcstools/wstool/archive/${PV}.tar.gz -> ${P}.tar.gz
@@ -25,38 +22,32 @@ fi
 
 LICENSE="BSD"
 SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-python/pyyaml[${PYTHON_USEDEP}]
 	>=dev-python/vcstools-0.1.38[${PYTHON_USEDEP}]
 "
-DEPEND="${RDEPEND}
+BDEPEND="${RDEPEND}
+	dev-python/sphinx
 	test? (
-		dev-python/nose[${PYTHON_USEDEP}]
-		dev-python/coverage[${PYTHON_USEDEP}]
 		dev-vcs/git
 		dev-vcs/bzr
 		dev-vcs/mercurial
 		dev-vcs/subversion
 	)
 "
-BDEPEND="
-	dev-python/sphinx
-"
 
-DISTUTILS_IN_SOURCE_BUILD="yes"
+distutils_enable_tests nose
 
-python_test() {
+src_test() {
 	# From travis.yml
 	# Set git config to silence some stuff in the tests
-	git config --global user.email "foo@example.com"
-	git config --global user.name "Foo Bar"
+	git config --global user.email "foo@example.com" || die
+	git config --global user.name "Foo Bar" || die
 	# Set the hg user
-	echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+	echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc || die
 	# Set the bzr user
-	bzr whoami "Your Name <name@example.com>"
+	bzr whoami "Your Name <name@example.com>" || die
 	# command to run tests
-	nosetests --with-coverage --cover-package=wstool || die
+	distutils-r1_src_test
 }

diff --git a/dev-util/wstool/wstool-9999.ebuild b/dev-util/wstool/wstool-9999.ebuild
index 48cc34f6d138..643dad95a575 100644
--- a/dev-util/wstool/wstool-9999.ebuild
+++ b/dev-util/wstool/wstool-9999.ebuild
@@ -1,21 +1,18 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-PYTHON_COMPAT=( python{3_7,3_8} )
 
-SCM=""
-if [ "${PV#9999}" != "${PV}" ] ; then
-	SCM="git-r3"
-	EGIT_REPO_URI="https://github.com/vcstools/wstool"
-fi
-
-inherit ${SCM} distutils-r1
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_IN_SOURCE_BUILD="yes"
+inherit distutils-r1
 
 DESCRIPTION="Commands to manage several local SCM repositories for ROS"
 HOMEPAGE="https://wiki.ros.org/wstool"
-if [ "${PV#9999}" != "${PV}" ] ; then
-	SRC_URI=""
+
+if [[ ${PV} == 9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/vcstools/wstool"
 else
 	SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
 		https://github.com/vcstools/wstool/archive/${PV}.tar.gz -> ${P}.tar.gz
@@ -25,38 +22,32 @@ fi
 
 LICENSE="BSD"
 SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
 
 RDEPEND="
 	dev-python/pyyaml[${PYTHON_USEDEP}]
 	>=dev-python/vcstools-0.1.38[${PYTHON_USEDEP}]
 "
-DEPEND="${RDEPEND}
+BDEPEND="${RDEPEND}
+	dev-python/sphinx
 	test? (
-		dev-python/nose[${PYTHON_USEDEP}]
-		dev-python/coverage[${PYTHON_USEDEP}]
 		dev-vcs/git
 		dev-vcs/bzr
 		dev-vcs/mercurial
 		dev-vcs/subversion
 	)
 "
-BDEPEND="
-	dev-python/sphinx
-"
 
-DISTUTILS_IN_SOURCE_BUILD="yes"
+distutils_enable_tests nose
 
-python_test() {
+src_test() {
 	# From travis.yml
 	# Set git config to silence some stuff in the tests
-	git config --global user.email "foo@example.com"
-	git config --global user.name "Foo Bar"
+	git config --global user.email "foo@example.com" || die
+	git config --global user.name "Foo Bar" || die
 	# Set the hg user
-	echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+	echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc || die
 	# Set the bzr user
-	bzr whoami "Your Name <name@example.com>"
+	bzr whoami "Your Name <name@example.com>" || die
 	# command to run tests
-	nosetests --with-coverage --cover-package=wstool || die
+	distutils-r1_src_test
 }


             reply	other threads:[~2022-01-29  6:30 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-29  6:30 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-08-17 12:53 [gentoo-commits] repo/gentoo:master commit in: dev-util/wstool/ Sam James
2019-12-16 14:51 Alexis Ballier
2018-06-26 19:04 Pacho Ramos
2018-01-13 12:16 Alexis Ballier
2017-02-20 15:22 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643437828.29671e13c2b2a8c498e8062da02383f69e2ffe78.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox